Public Member Functions
CDataArray2D< bool >::Accessor Class Reference

## Detailed Description

### template<>
class XSI::CDataArray2D< bool >::Accessor

A class for accessing the sub-array data of CDataArray2D< bool > objects.

Since:
  7.0

See also:
  CIndexSet, CDataArray, CDataArray2D

`#include <xsi_dataarray2D.h>`

List of all members.

## Public Member Functions
| Accessor ()
| Accessor (const Accessor &in_accessor)
Accessor & | operator= (const Accessor &in_accessor)
const bool | operator[] (ULONG in_nIndex) const
CStatus | Set (ULONG in_nIndex, bool in_bVal)
ULONG | GetCount () const

## Constructor & Destructor Documentation

Accessor | ( |  | ) | `[inline]`

Constructor.

Accessor | ( | const Accessor & | in_accessor | ) | `[inline]`

Constructs an Accessor object from another Accessor object.

Parameters:

  in_accessor | constant Accessor object.

## Member Function Documentation

Accessor& operator= | ( | const Accessor & | in_accessor | ) | `[inline]`

Assignment operator.

Parameters:

  in_accessor | constant class object.

Returns:
  A reference to this Accessor.

const bool operator[] | ( | ULONG | in_nIndex | ) | const `[inline]`

Accessor to elements at a given index. This operator is called when reading the data so the return value is read-only.

Parameters:

  in_nIndex | Index in the array. The index must be smaller than the number of elements in the array, otherwise the results are unpredicted.

Returns:
  A read-only reference to the indexed item.

CStatus Set | ( | ULONG | in_nIndex,
|  | bool | in_bVal
| ) |  | `[inline]`

Sets the array at a given index with a value.

Parameters:

  in_nIndex | Index in the array. The index must be smaller than the number of elements in the array, otherwise the results are unpredicted.
  in_bVal | Value to set.

Returns:
  CStatus::OK Success

ULONG GetCount | ( | void |  | ) | const `[inline]`

Returns the number of elements in the array.

Returns:
  Number of elements.

The documentation for this class was generated from the following file:

- xsi_dataarray2D.h